ScarfFacade Class Reference

`#include <ScarfFacade.h>`

Inheritance diagram for ScarfFacade:

## Public Member Functions

| ScarfFacade (const ScarfParams &params)
| ~ScarfFacade ()
void | computeMultigradedHilbertSeries ()
| Computes the numerator of the multigraded Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.
void | computeUnivariateHilbertSeries ()
| Computes the numerator of the univariate Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.

## Private Attributes

ScarfParams | _params
CommonParamsHelper | _helper
unique_ptr< IdealOrderer > | _enumerationOrder
unique_ptr< IdealOrderer > | _deformationOrder

## Additional Inherited Members

Protected Member Functions inherited from Facade
| Facade (bool printActions)
| Constructs a facade that prints out what it is doing if printActions is true.
virtual | ~Facade ()
void | printMessage (const char *message)
| Prints message to standard error if printing is turned on.
void | beginAction (const char *message)
| Prints message to standard error if printing is turned on, and records the time when the action started.
void | endAction ()
| Prints to standard error the time since the last call to beginAction.
bool | isPrintingActions () const
| Returns true if printing actions.

## Detailed Description

Definition at line 27 of file ScarfFacade.h.

## Constructor & Destructor Documentation

## ScarfFacade()

ScarfFacade::ScarfFacade | ( | const ScarfParams & | params | ) |

Definition at line 27 of file ScarfFacade.cpp.

## ~ScarfFacade()

ScarfFacade::~ScarfFacade | ( |  | ) |

Definition at line 41 of file ScarfFacade.cpp.

## Member Function Documentation

## computeMultigradedHilbertSeries()

void ScarfFacade::computeMultigradedHilbertSeries | ( |  | ) |

Computes the numerator of the multigraded Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.

Definition at line 44 of file ScarfFacade.cpp.

## computeUnivariateHilbertSeries()

void ScarfFacade::computeUnivariateHilbertSeries | ( |  | ) |

Computes the numerator of the univariate Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.

Definition at line 60 of file ScarfFacade.cpp.

## Member Data Documentation

## _deformationOrder

unique_ptr<IdealOrderer> ScarfFacade::_deformationOrder

private

Definition at line 46 of file ScarfFacade.h.

## _enumerationOrder

unique_ptr<IdealOrderer> ScarfFacade::_enumerationOrder

private

Definition at line 45 of file ScarfFacade.h.

## _helper

CommonParamsHelper ScarfFacade::_helper

private

Definition at line 44 of file ScarfFacade.h.

## _params

ScarfParams ScarfFacade::_params

private

Definition at line 43 of file ScarfFacade.h.

The documentation for this class was generated from the following files:

- src/ScarfFacade.h
- src/ScarfFacade.cpp